riverty logo

Docs

Shopware 6.4 to 6.5

Back to Shopware

How to migrate from Shopware 6.4 to 6.5

For the shop migration you can use this official Shopware migration guide: Shopware 6 - Update Guides - 6.4 to 6.5

Using Riverty plugin older than 1.5.3:

  1. Update to version 1.5.3 - we have added to version 1.5.3 the compatibility with Shopware 6.5
  2. Deactivate the plugin before initiating the Shopware version update
  3. Reactivate the plugin after completing the update process
  4. Ensure correct migration of the database data; this will ensure the plugin works identically to its performance on Shopware 6.4

Using Riverty plugin version is 1.5.3 or newer:

  1. Proceed by deactivating the plugin before initiating the update
  2. Update your shop to Shopware 6.5
  3. After the update, reactivate the plugin
  4. If the database migration is successful, the plugin should maintain its previous functionality